.TH "DataFrame" 3 "AlatZaAnalitiku" \" -*- nroff -*-
.ad l
.nh
.SH NAME
DataFrame
.SH SYNOPSIS
.br
.PP
.PP
\fR#include <dataframe\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBDataFrame\fP ()"
.br
.ti -1c
.RI "\fBDataFrame\fP (const QString &path)"
.br
.ti -1c
.RI "\fBVarVector\fP \fBoperator[]\fP (const QString &s)"
.br
.ti -1c
.RI "QVector< QString > \fBheader\fP () const"
.br
.ti -1c
.RI "void \fBpush_back\fP (QString &col, const QString &value)"
.br
.ti -1c
.RI "\fBVarVector\fP \fBunique\fP (const QString &column)"
.br
.ti -1c
.RI "void \fBsetColType\fP (QString &col, \fBTYPE\fP t)"
.br
.ti -1c
.RI "\fBTYPE\fP \fBcolType\fP (const QString &column)"
.br
.ti -1c
.RI "int \fBcount\fP (QString &column, QString &item)"
.br
.ti -1c
.RI "\fBDataFrame\fP \fBfilter\fP (QString &column, QString &item)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "std::unordered_map< QString, \fBVarVector\fP > \fB_df\fP"
.br
.in -1c
.SH "Constructor & Destructor Documentation"
.PP 
.SS "DataFrame::DataFrame ()"

.SS "DataFrame::DataFrame (const QString & path)"

.SH "Member Function Documentation"
.PP 
.SS "\fBTYPE\fP DataFrame::colType (const QString & column)"

.SS "int DataFrame::count (QString & column, QString & item)"

.SS "\fBDataFrame\fP DataFrame::filter (QString & column, QString & item)"

.SS "QVector< QString > DataFrame::header () const"

.SS "\fBVarVector\fP DataFrame::operator[] (const QString & s)"

.SS "void DataFrame::push_back (QString & col, const QString & value)"

.SS "void DataFrame::setColType (QString & col, \fBTYPE\fP t)"

.SS "\fBVarVector\fP DataFrame::unique (const QString & column)"

.SH "Member Data Documentation"
.PP 
.SS "std::unordered_map<QString, \fBVarVector\fP> DataFrame::_df"


.SH "Author"
.PP 
Generated automatically by Doxygen for AlatZaAnalitiku from the source code\&.
